package com.lqkj.link.module.authority.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Entity
@Table(name = "captcha")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class Captcha {
    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Schema(description = "验证码id")
    private Integer id;

    @Column(name = "code")
    @Schema(description = "验证码")
    private String code;

    @Column(name = "phone_number")
    @Schema(description = "手机号")
    private String phoneNumber;

    @Column(name = "create_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date createTime;

}
