package com.lqkj.link.module.zone.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;

/**
 * 点赞信息
 */

@Entity
@Table(name = "likes")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class LikesInfo {

    @Id
    @Column(name = "id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Schema(description = "点赞ID")
    private Integer id;

    @Column(name = "user_id")
    @Schema(description = "作者用户ID")
    private Integer userId;

    @Column(name = "zone_id")
    @Schema(description = "区域/作品id")
    private Integer zoneId;

    @Column(name = "create_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    @Schema(description = "添加时间")
    private Date createTime;

}
