package com.lqkj.link.module.zone.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;

/**
 * 分享信息
 */

@Entity
@Table(name = "share_info")
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class ShareInfo {

    @Id
    @Column(name = "record_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Schema(description = "记录ID")
    private Integer recordId;

    @Column(name = "user_id")
    @Schema(description = "分享人ID")
    private Integer userId;

    @Column(name = "shared_user_id")
    @Schema(description = "被分享人ID")
    private Integer sharedUserId;

    @Column(name = "zone_id")
    @Schema(description = "区域/作品id")
    private Integer zoneId;

    @Column(name = "share_code")
    @Schema(description = "随机序号")
    private String shareCode;

    @Column(name = "can_use")
    @Schema(description = "有效期（天）")
    private Integer canUse;

    @Column(name = "share_time")
    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    @Schema(description = "添加时间")
    private Date shareTime;

    @Column(name = "accept_status")
    @Schema(description = "接受状态")
    private Boolean acceptStatus;

}
